package cn.teammodel.controller.admin.service;

import cn.teammodel.model.dto.admin.appraise.TimeRangeDto;
import cn.teammodel.model.vo.admin.DutyIndexData;
import cn.teammodel.model.vo.admin.DutyNodeRankVo;
import cn.teammodel.model.vo.admin.DutyRankPo;

import java.util.List;

/**
 * @author winter
 * @create 2024-02-28 15:07
 */
public interface AdminIndexDutyService {
    DutyIndexData getIndexData(String periodId);

    List<DutyRankPo> classRank(TimeRangeDto timeRangeDto);

    List<DutyRankPo> teacherRank(TimeRangeDto timeRangeDto);

    List<DutyNodeRankVo> appraiseNodeRank(TimeRangeDto timeRangeDto);
}
